### Method

# Gtk FileDialog open_multiple_text_files_finish

since: 4.18

#### Declaration [src]

    GListModel*
    gtk_file_dialog_open_multiple_text_files_finish (
      GtkFileDialog* self,
      GAsyncResult* result,
      const char** encoding,
      GError** error
    )

#### Description [src]

Finishes the `gtk_file_dialog_open()` call.

Note that this function returns a `GTK_DIALOG_ERROR_DISMISSED` error if the user cancels the dialog.

Available since: 4.18

#### Parameters

`result`

  Type: `GAsyncResult`

  The result.

  The data is owned by the caller of the method.

`encoding`

  Type: `const char**`

  Return location for the text encoding to use.

  The argument will be set by the function.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list model of `GObject`

The files that were selected, as a list model of `GFile`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.